This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 20982 - Window Maker segfaults on attempted startup
Window Maker segfaults on attempted startup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: WindowMaker (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-16 16:45 EST by Gregory Leblanc
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-02 18:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Leblanc 2000-11-16 16:45:18 EST
I've tried starting window maker both from the command line, and from the
gnome-control center, and it segfaults on me.  If I run gnome-cc at the
command line, I get:
wmaker fatal error: got signal 11 (Segmentation fault)
wmaker fatal error: got signal 11 (Segmentation fault)
wmaker fatal error: crashed while trying to do some post-crash cleanup.
Aborting immediately.

And from "gdb `which wmaker`" I get:
GNU gdb 19991004
...
This GDB was configured for "i386-redhat-linux"...
(no debugging symols found)...
(gdb) run
Starting program: /usr/bin/X11/wmaker
(no debugging symols found)...(no debugging symols found)...
(no debugging symols found)...(no debugging symols found)...
(no debugging symols found)...(no debugging symols found)...
(no debugging symols found)...(no debugging symols found)...
Xlib: extension "MIT-SHM" missing on display ":1.0".
(no debugging symols found)...(no debugging symols found)...
Program received signal SIGSEGV, Segmentation fault.
0x40048de5 in TIFFReadDirectory () from /usr/lib/libtiff.so.3
(gdb) bt
#0  0x40048de5 in TIFFReadDirectory () from /usr/lib/libtiff.so.3
#1  0x40088338 in ?? () from /usr/lib/libtiff.so.3
#2  0x1 in ?? ()
Cannot access memory at address 0x3010a

I got the latter by doing "Xnest :1 & xterm -display :1 &" and then running
gdb inside of there.  I re-compiled WindowMaker and disable brp-strip and
brp-strip-comments, but I still can't read these errors.  Let me know what
I can do to debug.  Thanks.
Comment 1 Crutcher Dunnavant 2001-04-02 18:05:10 EDT
could you try the latest libtiff from rawhide,
as well as sending me a copy of:

	rpm -qa | grep XF
	rpm -qa | grep WindomMaker
	rpm -q libtiff

thanks.
Comment 2 Crutcher Dunnavant 2001-06-25 13:34:17 EDT
I'm pretty sure that the rawhide version addresses all these issues.
Reopen if necessary.

Note You need to log in before you can comment on or make changes to this bug.